<?php

declare(strict_types=1);

namespace App\Service\Mailer\Model;

/**
 * Classe NewStructureTrialRequestValidationModel qui conserve les données pour construire le mail de validation d'une demande d'essai de nouvelle structure.
 */
class NewStructureArtistPremiumTrialRequestValidationModel extends AbstractMailerModel implements MailerModelInterface
{
    private string $token;
    private string $representativeEmail;
    private string $representativeFirstName;
    private string $representativeLastName;
    private string $structureName;
    private string $validationUrl;

    public function getToken(): string
    {
        return $this->token;
    }

    public function setToken(string $token): self
    {
        $this->token = $token;

        return $this;
    }

    public function getRepresentativeEmail(): string
    {
        return $this->representativeEmail;
    }

    public function setRepresentativeEmail(string $representativeEmail): self
    {
        $this->representativeEmail = $representativeEmail;

        return $this;
    }

    public function getRepresentativeFirstName(): string
    {
        return $this->representativeFirstName;
    }

    public function setRepresentativeFirstName(string $representativeFirstName): self
    {
        $this->representativeFirstName = $representativeFirstName;

        return $this;
    }

    public function getRepresentativeLastName(): string
    {
        return $this->representativeLastName;
    }

    public function setRepresentativeLastName(string $representativeLastName): self
    {
        $this->representativeLastName = $representativeLastName;

        return $this;
    }

    public function getStructureName(): string
    {
        return $this->structureName;
    }

    public function setStructureName(string $structureName): self
    {
        $this->structureName = $structureName;

        return $this;
    }

    public function getValidationUrl(): string
    {
        return $this->validationUrl;
    }

    public function setValidationUrl(string $validationUrl): self
    {
        $this->validationUrl = $validationUrl;

        return $this;
    }
}
